Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.model.vo
Class Response

    java.lang.Object
      com.heckmansoft.surjey.model.vo.ValueObject
          com.heckmansoft.surjey.model.vo.Response

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  LazyResponse

public class Response
extends ValueObject

A response. Contains a list of answers.

See Also:
  Serialized Form

Constructor Summary
`Response()`

Method Summary
`int` | `compareTo(java.lang.Object other)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getRespondentAddress()`
`ValueObjectList` | `getResponseAnswers()`
`java.lang.String` | `getSurveyId()`
`boolean` | `hasNoAnswers()`
`void` | `setRespondentAddress(java.lang.String respondentAddress)`
`void` | `setResponseAnswers(ValueObjectList answers)`
`void` | `setSurveyId(java.lang.String surveyId)`
`java.lang.String` | `toString()`

Methods inherited from class com.heckmansoft.surjey.model.vo.ValueObject
`getId, getName, hashCode, setId, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response

    public Response()

Method Detail

### getSurveyId

    public java.lang.String getSurveyId()

### getRespondentAddress

    public java.lang.String getRespondentAddress()

### getResponseAnswers

    public ValueObjectList getResponseAnswers()

### setSurveyId

    public void setSurveyId(java.lang.String surveyId)

### setRespondentAddress

    public void setRespondentAddress(java.lang.String respondentAddress)

### setResponseAnswers

    public void setResponseAnswers(ValueObjectList answers)

### hasNoAnswers

    public boolean hasNoAnswers()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueObject`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `ValueObject`

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `ValueObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD